DOM::HTMLOptGroupElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLOptGroupElement Class Reference

Group options together in logical subdivisions. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLOptGroupElement:

[legend]
Collaboration diagram for DOM::HTMLOptGroupElement:

[legend]
List of all members.

## Public Member Functions
| HTMLOptGroupElement (const HTMLOptGroupElement &other)
| HTMLOptGroupElement (const Node &other)
HTMLOptGroupElement & | operator= (const HTMLOptGroupElement &other)
HTMLOptGroupElement & | operator= (const Node &other)
bool | disabled () const
| The control is unavailable in this context.
void | setDisabled (bool)
| see disabled
DOMString | label () const
| Assigns a label to this option group.
void | setLabel (const DOMString &)
| see label
## Protected Member Functions
| HTMLOptGroupElement (HTMLOptGroupElementImpl *impl)

## Detailed Description

Group options together in logical subdivisions.

See the OPTGROUP element definition in HTML 4.0.

Definition at line 755 of file html_form.h.

## Member Function Documentation

bool HTMLOptGroupElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 705 of file html_form.cpp.

void HTMLOptGroupElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 711 of file html_form.cpp.

DOMString HTMLOptGroupElement::label | ( |  | ) | const

| Assigns a label to this option group. See the label attribute definition in HTML 4.0. Definition at line 717 of file html_form.cpp.

void HTMLOptGroupElement::setLabel | ( | const DOMString & |  | ) |

| see label Definition at line 723 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001